<?php
/**
 * @author Matthew McNaney <mcnaney at gmail dot com>
 * @version $Id: unregister.php 4320 2007-02-16 15:38:40Z matt $
 */

function layout_unregister($module, &$content){
    translate('layout');
    PHPWS_Core::initModClass('layout', 'Box.php');
    $content[] = _('Removing old layout components.');
    translate();
    $db = & new PHPWS_DB('layout_box');
    $db->addWhere('module', $module);
    $moduleBoxes = $db->getObjects('Layout_Box');

    if (empty($moduleBoxes)) {
        return;
    }

    if (PEAR::isError($moduleBoxes)) {
        return $moduleBoxes;
    }

    foreach ($moduleBoxes as $box) {
        $box->kill();
    }

    // below makes sure box doesn't get echoed
    unset($GLOBALS['Layout'][$module]);
    unset($_SESSION['Layout_Settings']->_boxes[$module]);

}

?>
