<?php

/**
 * unregisters deleted keys from menu
 *
 * @author Matthew McNaney <mcnaney at gmail dot com>
 * @version $Id: key.php 4322 2007-02-16 15:56:55Z matt $
 */


function menu_unregister_key(&$key)
{
    PHPWS_Core::initModClass('menu', 'Menu_Link.php');

    if (empty($key) || empty($key->id)) {
        return FALSE;
    }

    $db = new PHPWS_DB('menu_links');
    $db->addWhere('key_id', $key->id);
    $result = $db->delete();

    if (PEAR::isError($result)) {
        PHPWS_Error::log($result);
    }

    $db2 = new PHPWS_DB('menu_assoc');
    $db2->addWhere('key_id', $key->id);
    $result = $db2->delete();

    if (PEAR::isError($result)) {
        PHPWS_Error::log($result);
    }

    return true;
}

?>