<?php

  /**
   * @author Matthew McNaney
   * @version $Id: parse.php 4335 2007-02-19 16:26:25Z matt $
   */

function new_account($item)
{
    if (!PHPWS_User::getUserSetting('new_user_method') > 0) {
        translate('users');
        $msg = _('New user signup is currently disabled.');
        translate();
        return $msg;
    }
    $signup_vars = array('action'  => 'user',
                         'command' => 'signup_user');
    if (!empty($item[1])) {
        $link = strip_tags($item[1]);
    } else {
        $link = USER_SIGNUP_QUESTION;
    }

    return PHPWS_Text::moduleLink($link, 'users', $signup_vars);
}

?>