<?php
  /**
   * @version $Id: index.php 4335 2007-02-19 16:26:25Z matt $
   * @author Matthew McNaney <mcnaney at gmail dot com>
   */
translate('users');
if (!defined('PHPWS_SOURCE_DIR')) {
    include '../../config/core/404.html';
    exit();
}
if (!isset($_REQUEST['action'])) {
    PHPWS_Core::errorPage('404');
 }

if (!class_exists('PHPWS_User')){
     PHPWS_Error::log('PHPWS_CLASS_NOT_CONSTRUCTED', 'core', NULL, 'Class: PHPWS_Users');
     return;
}

PHPWS_Core::initModClass('users', 'Action.php');

switch ($_REQUEST['action']){
 case 'user':
   User_Action::userAction();
   break;

 case 'admin':
   User_Action::adminAction();
   break;

 case 'permission':
     User_Action::permission();
     break;

 case 'popup_permission':
     User_Action::popupPermission();
     exit();
     break;

}// End area switch

translate();
?>